include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain/kvt-core
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain
  ${CMAKE_BINARY_DIR}/kvoctrain/kvoctrain/common-dialogs
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### querydlg (static)

tde_add_library( querydlg STATIC_PIC AUTOMOC

  SOURCES
        MCQueryDlgForm.ui
        RandomQueryDlgForm.ui
        SimpleQueryDlgForm.ui
        VerbQueryDlgForm.ui
        AdjQueryDlgForm.ui
        ArtQueryDlgForm.ui
        QueryDlgBase.cpp
        MCQueryDlg.cpp
        RandomQueryDlg.cpp
        SimpleQueryDlg.cpp
        VerbQueryDlg.cpp
        AdjQueryDlg.cpp
        ArtQueryDlg.cpp
   
   DEPENDENCIES
        commondlg-static
)
